/**
 * Copyright (C) 2018-2020 Linagora
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@mixin custom-workspace-overview-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);

  .workspace-description-edit {
    div > .workspace-description-preview,
    div > .msg-no-description {
      background-color: mat-color($mat-grey, 50);
    }
  }

  mat-card.card-buses {
    mat-form-field {
      span > fa-icon {
        color: mat-color($mat-grey, 600);
      }
    }

    mat-card-content > div.bus-grid-item > div.bus-item {
      a.bus-link {
        div.bus-svg-content:hover {
          background-color: mat-color($mat-grey, 400);
          mat-icon {
            color: mat-color($primary, 900);
          }
        }
        div.bus-footer {
          background-color: mat-color($mat-grey, 100);
          color: mat-color($mat-grey, 900);
        }
      }
      a.bus-detach {
        div.bus-svg-content {
          background-color: mat-color($mat-grey, 200);
          mat-icon {
            color: mat-color($primary, 700);
          }
          fa-icon {
            color: mat-color($mat-grey, 50);
          }
          &.active {
            background-color: mat-color($primary, 700);
            mat-icon {
              color: mat-color($primary, 900);
            }
            fa-icon {
              color: mat-color($mat-grey, 50);
            }
          }
        }
        div.bus-svg-content:hover:not(.active) {
          background-color: mat-color($mat-grey, 400);
          fa-icon {
            color: mat-color($mat-grey, 100);
          }
        }
        div.bus-footer {
          background-color: mat-color($mat-grey, 100);
          color: mat-color($mat-grey, 900);
        }
      }
    }
  }

  mat-card.card-users {
    table.users-table {
      .table-row:hover {
        background-color: mat-color($mat-grey, 200);
      }
    }

    mat-checkbox.mat-checkbox-checked {
      &.mat-accent {
        svg.mat-checkbox-checkmark {
          .mat-checkbox-checkmark-path {
            // !important black color is needed because is not provided by mat-color to custom icon color of mat-checkbox
            stroke: black !important;
          }
        }
      }
    }

    mat-checkbox.unchecked {
      .mat-checkbox-frame {
        border-color: mat-color($accent);
      }
    }
  }
}
